"=====================================================================
" cream-menu-developer.vim
"
" Cream -- An easy-to-use configuration of the famous Vim text editor
" [ http://cream.sourceforge.net ] Copyright (C) 2002-2004  Steve Hall
" 
" License:
" This program is free software; you can redistribute it and/or modify
" it under the terms of the GNU General Public License as published by
" the Free Software Foundation; either version 2 of the License, or
" (at your option) any later version.
" [ http://www.gnu.org/licenses/gpl.html ]
" 
" This program is distributed in the hope that it will be useful, but
" WITHOUT ANY WARRANTY; without even the implied warranty of
" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
" General Public License for more details.
" 
" You should have received a copy of the GNU General Public License
" along with this program; if not, write to the Free Software
" Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
" 02111-1307, USA.


if !exists("g:cream_dev")
	finish
endif

function! Cream_reload()
	"let mywinposx = getwinposx()
	"let mywinposy = getwinposy()
	execute "source " . Cream_get_vimrc()
	"call Cream_screenset()
endfunction

function! Cream_menu_load_developer()

	" edit creamrc (whatever is being used
	anoremenu <silent> 9999.001.01 Cream\ &Developer.Initialization.Edit\ creamrc		:call Cream_file_open(Cream_get_creamrc())<CR>
	" resource creamrc (Don't use function to re-source! Can't resource
	" a function in use.)
	anoremenu <silent> 9999.001.02 Cream\ &Developer.Initialization.Re-source\ creamrc	:let mywinposx = getwinposx()<CR>
		\<C-l>:let mywinposy = getwinposy()<CR><Esc>
		\<C-l>:execute "source " . Cream_get_creamrc()<CR><Esc>
		\<C-l>:call Cream_screenset()<CR><Esc>

	" edit .viminfo (in &viewdir)
	anoremenu <silent> 9999.001 Cream\ &Developer.Initialization.Edit\ \.viminfo		:call Cream_file_open(&viewdir . "/.viminfo")<CR>

    "-----------------------------------------------------------------
	" core (dependency nightmare stuff)
	anoremenu <silent> 9999.002 Cream\ &Developer.-SEP002-								<Nul>
	anoremenu <silent> 9999.003 Cream\ &Developer.&Core.Edit\ cream\.vim				:call Cream_file_open($CREAM . "cream.vim")<CR>
	anoremenu <silent> 9999.004 Cream\ &Developer.&Core.Edit\ cream-addon\.vim			:call Cream_file_open($CREAM . "cream-addon.vim")<CR>
	anoremenu <silent> 9999.005 Cream\ &Developer.&Core.Edit\ cream-autocmd\.vim		:call Cream_file_open($CREAM . "cream-autocmd.vim")<CR>
	anoremenu <silent> 9999.006 Cream\ &Developer.&Core.Edit\ cream-colors\.vim			:call Cream_file_open($CREAM . "cream-colors.vim")<CR>
	anoremenu <silent> 9999.007 Cream\ &Developer.&Core.Edit\ cream-colors-default\.vim	:call Cream_file_open($CREAM . "cream-colors-default.vim")<CR>
	anoremenu <silent> 9999.008 Cream\ &Developer.&Core.Edit\ cream-conf\.example\.vim	:call Cream_file_open($CREAM . "cream-conf.example.vim")<CR>
	anoremenu <silent> 9999.009 Cream\ &Developer.&Core.Edit\ cream-filetype\.vim		:call Cream_file_open($CREAM . "cream-filetype.vim")<CR>
	anoremenu <silent> 9999.010 Cream\ &Developer.&Core.Edit\ cream-gui\.vim			:call Cream_file_open($CREAM . "cream-gui.vim")<CR>
	anoremenu <silent> 9999.011 Cream\ &Developer.&Core.Edit\ cream-keys\.vim			:call Cream_file_open($CREAM . "cream-keys.vim")<CR>
	anoremenu <silent> 9999.012 Cream\ &Developer.&Core.Edit\ cream-lib\.vim			:call Cream_file_open($CREAM . "cream-lib.vim")<CR>
	anoremenu <silent> 9999.013 Cream\ &Developer.&Core.Edit\ cream-print\.vim		    :call Cream_file_open($CREAM . "cream-print.vim")<CR>
	anoremenu <silent> 9999.014 Cream\ &Developer.&Core.Edit\ cream-settings\.vim		:call Cream_file_open($CREAM . "cream-settings.vim")<CR>
	anoremenu <silent> 9999.015 Cream\ &Developer.&Core.Edit\ cream-window-buffer\.vim	:call Cream_file_open($CREAM . "cream-window-buffer.vim")<CR>

	anoremenu <silent> 9999.050 Cream\ &Developer.&Core.-SEP050-						<Nul>
	anoremenu <silent> 9999.051 Cream\ &Developer.&Core.Edit\ genutils\.vim				:call Cream_file_open($CREAM . "genutils.vim")<CR>
	anoremenu <silent> 9999.052 Cream\ &Developer.&Core.Edit\ multvals\.vim				:call Cream_file_open($CREAM . "multvals.vim")<CR>

	" core, menus
	anoremenu <silent> 9999.201 Cream\ &Developer.M&enus.Edit\ cream-menu\.vim				:call Cream_file_open($CREAM . "cream-menu.vim")<CR>
	anoremenu <silent> 9999.202 Cream\ &Developer.M&enus.Edit\ cream-menu-file\.vim			:call Cream_file_open($CREAM . "cream-menu-file.vim")<CR>
	anoremenu <silent> 9999.203 Cream\ &Developer.M&enus.Edit\ cream-menu-mru\.vim			:call Cream_file_open($CREAM . "cream-menu-mru.vim")<CR>
	anoremenu <silent> 9999.204 Cream\ &Developer.M&enus.Edit\ cream-menu-edit\.vim			:call Cream_file_open($CREAM . "cream-menu-edit.vim")<CR>
	anoremenu <silent> 9999.205 Cream\ &Developer.M&enus.Edit\ cream-menu-insert\.vim		:call Cream_file_open($CREAM . "cream-menu-insert.vim")<CR>
	anoremenu <silent> 9999.206 Cream\ &Developer.M&enus.Edit\ cream-menu-format\.vim		:call Cream_file_open($CREAM . "cream-menu-format.vim")<CR>
	anoremenu <silent> 9999.207 Cream\ &Developer.M&enus.Edit\ cream-menu-settings\.vim		:call Cream_file_open($CREAM . "cream-menu-settings.vim")<CR>
	anoremenu <silent> 9999.208 Cream\ &Developer.M&enus.Edit\ cream-menu-tools\.vim		:call Cream_file_open($CREAM . "cream-menu-tools.vim")<CR>
	anoremenu <silent> 9999.209 Cream\ &Developer.M&enus.Edit\ cream-menu-window\.vim		:call Cream_file_open($CREAM . "cream-menu-window.vim")<CR>
	anoremenu <silent> 9999.210 Cream\ &Developer.M&enus.Edit\ cream-menu-window-buffer\.vim	:call Cream_file_open($CREAM . "cream-menu-window-buffer.vim")<CR>
	anoremenu <silent> 9999.211 Cream\ &Developer.M&enus.Edit\ cream-menu-help\.vim			:call Cream_file_open($CREAM . "cream-menu-help.vim")<CR>
	anoremenu <silent> 9999.212 Cream\ &Developer.M&enus.Edit\ cream-menu-developer\.vim	:call Cream_file_open($CREAM . "cream-menu-developer.vim")<CR>
	anoremenu <silent> 9999.213 Cream\ &Developer.M&enus.Edit\ cream-menu-toolbar\.vim		:call Cream_file_open($CREAM . "cream-menu-toolbar.vim")<CR>
	anoremenu <silent> 9999.214 Cream\ &Developer.M&enus.Edit\ cream-menu-popup\.vim		:call Cream_file_open($CREAM . "cream-menu-popup.vim")<CR>

	anoremenu <silent> 9999.300 Cream\ &Developer.-SEP300-									<Nul>

    "-----------------------------------------------------------------
	" modules
	anoremenu <silent> 9999.301 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-abbr\.vim				:call Cream_file_open($CREAM . "cream-abbr.vim")<CR>
	anoremenu <silent> 9999.302 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-abbr-eng\.vim			:call Cream_file_open($CREAM . "cream-abbr-eng.vim")<CR>
	anoremenu <silent> 9999.303 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-abbr-fre\.vim			:call Cream_file_open($CREAM . "cream-abbr-fre.vim")<CR>
	anoremenu <silent> 9999.304 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-ascii\.vim			:call Cream_file_open($CREAM . "cream-ascii.vim")<CR>
	anoremenu <silent> 9999.305 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-behavior\.vim			:call Cream_file_open($CREAM . "cream-behavior.vim")<CR>
	anoremenu <silent> 9999.306 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-bookmarks\.vim		:call Cream_file_open($CREAM . "cream-bookmarks.vim")<CR>
	anoremenu <silent> 9999.307 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-capitalization\.vim	:call Cream_file_open($CREAM . "cream-capitalization.vim")<CR>
	anoremenu <silent> 9999.308 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-columns\.vim			:call Cream_file_open($CREAM . "cream-columns.vim")<CR>
	anoremenu <silent> 9999.309 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-devel\.vim			:call Cream_file_open($CREAM . "cream-devel.vim")<CR>
	anoremenu <silent> 9999.310 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-expertmode\.vim		:call Cream_file_open($CREAM . "cream-expertmode.vim")<CR>
	anoremenu <silent> 9999.311 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-explorer\.vim			:call Cream_file_open($CREAM . "cream-explorer.vim")<CR>
	anoremenu <silent> 9999.312 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-find\.vim				:call Cream_file_open($CREAM . "cream-find.vim")<CR>
	anoremenu <silent> 9999.313 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-justify\.vim			:call Cream_file_open($CREAM . "cream-justify.vim")<CR>
	anoremenu <silent> 9999.314 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-macros\.vim			:call Cream_file_open($CREAM . "cream-macros.vim")<CR>
	anoremenu <silent> 9999.315 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-numberlines\.vim		:call Cream_file_open($CREAM . "cream-numberlines.vim")<CR>
	anoremenu <silent> 9999.316 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-playpen\.vim			:call Cream_file_open($CREAM . "cream-playpen.vim")<CR>
	anoremenu <silent> 9999.317 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-pop\.vim				:call Cream_file_open($CREAM . "cream-pop.vim")<CR>
	anoremenu <silent> 9999.318 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-replace\.vim			:call Cream_file_open($CREAM . "cream-replace.vim")<CR>
	anoremenu <silent> 9999.319 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-replacemulti\.vim		:call Cream_file_open($CREAM . "cream-replacemulti.vim")<CR>
	anoremenu <silent> 9999.320 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-server\.vim			:call Cream_file_open($CREAM . "cream-server.vim")<CR>
	anoremenu <silent> 9999.321 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-showinvisibles\.vim	:call Cream_file_open($CREAM . "cream-showinvisibles.vim")<CR>
	anoremenu <silent> 9999.322 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-statusline\.vim		:call Cream_file_open($CREAM . "cream-statusline.vim")<CR>
	anoremenu <silent> 9999.324 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ cream-user\.vim\ (g:cream_user)		:call Cream_file_open(g:cream_user . "cream-user.vim")<CR>
    " modules, third party
	anoremenu <silent> 9999.400 Cream\ &Developer.(Mo&dules,\ misc\.).-SEP400-							<Nul>
	anoremenu <silent> 9999.401 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ calendar\.vim				:call Cream_file_open($CREAM . "calendar.vim")<CR>
	anoremenu <silent> 9999.402 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ EasyHtml\.vim				:call Cream_file_open($CREAM . "EasyHtml.vim")<CR>
	anoremenu <silent> 9999.405 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ EnhancedCommentify\.vim		:call Cream_file_open($CREAM . "EnhancedCommentify.vim")<CR>
	anoremenu <silent> 9999.406 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ imaps\.vim					:call Cream_file_open($CREAM . "imaps.vim")<CR>
	anoremenu <silent> 9999.407 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ opsplorer\.vim				:call Cream_file_open($CREAM . "opsplorer.vim")<CR>
	anoremenu <silent> 9999.408 Cream\ &Developer.(Mo&dules,\ misc\.).Edit\ taglist\.vim				:call Cream_file_open($CREAM . "taglist.vim")<CR>

	" colors
	anoremenu <silent> 9999.501 Cream\ &Developer.C&olors.Edit\ cream-colors-terminal\.vim 		:call Cream_file_open($CREAM . "cream-colors-terminal.vim")<CR>
	anoremenu <silent> 9999.502 Cream\ &Developer.C&olors.Edit\ cream-colors-blackwhite\.vim	:call Cream_file_open($CREAM . "cream-colors-blackwhite.vim")<CR>
	anoremenu <silent> 9999.503 Cream\ &Developer.C&olors.Edit\ cream-colors-chocolateliquor\.vim	:call Cream_file_open($CREAM . "cream-colors-chocolateliquor.vim")<CR>
	anoremenu <silent> 9999.504 Cream\ &Developer.C&olors.Edit\ cream-colors-dawn\.vim			:call Cream_file_open($CREAM . "cream-colors-dawn.vim")<CR>
	anoremenu <silent> 9999.505 Cream\ &Developer.C&olors.Edit\ cream-colors-navajo\.vim		:call Cream_file_open($CREAM . "cream-colors-navajo.vim")<CR>
	anoremenu <silent> 9999.506 Cream\ &Developer.C&olors.Edit\ cream-colors-navajo-night\.vim	:call Cream_file_open($CREAM . "cream-colors-navajo-night.vim")<CR>
	anoremenu <silent> 9999.507 Cream\ &Developer.C&olors.Edit\ cream-colors-night\.vim			:call Cream_file_open($CREAM . "cream-colors-night.vim")<CR>
	anoremenu <silent> 9999.508 Cream\ &Developer.C&olors.Edit\ cream-colors-oceandeep\.vim		:call Cream_file_open($CREAM . "cream-colors-oceandeep.vim")<CR>
	anoremenu <silent> 9999.509 Cream\ &Developer.C&olors.Edit\ cream-colors-zenburn\.vim		:call Cream_file_open($CREAM . "cream-colors-zenburn.vim")<CR>

	" filetypes
	anoremenu <silent> 9999.601 Cream\ &Developer.&Filetypes.Edit\ cream-filetype-c\.vim	:call Cream_file_open($CREAM . "cream-filetype-c.vim")<CR>
	anoremenu <silent> 9999.602 Cream\ &Developer.&Filetypes.Edit\ cream-filetype-html\.vim	:call Cream_file_open($CREAM . "cream-filetype-html.vim")<CR>
	anoremenu <silent> 9999.604 Cream\ &Developer.&Filetypes.Edit\ cream-filetype-txt\.vim	:call Cream_file_open($CREAM . "cream-filetype-txt.vim")<CR>
	anoremenu <silent> 9999.605 Cream\ &Developer.&Filetypes.Edit\ cream-filetype-vim\.vim	:call Cream_file_open($CREAM . "cream-filetype-vim.vim")<CR>

	" spell check
	anoremenu <silent> 9999.701 Cream\ &Developer.&Spell\ Check.Edit\ cream-spell\.vim				:call Cream_file_open($CREAM . "cream-spell.vim")<CR>
	anoremenu <silent> 9999.702 Cream\ &Developer.&Spell\ Check.Edit\ cream-spell-dict-usr_1\.vim\ (g:cream_user)	:call Cream_file_open(g:cream_user . "spelldicts/cream-spell-dict-usr_1.vim")<CR>
	anoremenu <silent> 9999.703 Cream\ &Developer.&Spell\ Check.Edit\ cream-spell-dict-usr_2\.vim\ (g:cream_user)	:call Cream_file_open(g:cream_user . "spelldicts/cream-spell-dict-usr_2.vim")<CR>
	anoremenu <silent> 9999.704 Cream\ &Developer.&Spell\ Check.Edit\ cream-spell-dict-usr_3\.vim\ (g:cream_user)	:call Cream_file_open(g:cream_user . "spelldicts/cream-spell-dict-usr_3.vim")<CR>
	anoremenu <silent> 9999.705 Cream\ &Developer.&Spell\ Check.Edit\ cream-spell-dict-usr_4\.vim\ (g:cream_user)	:call Cream_file_open(g:cream_user . "spelldicts/cream-spell-dict-usr_4.vim")<CR>
	anoremenu <silent> 9999.706 Cream\ &Developer.&Spell\ Check.Edit\ cream-spell-dict-eng-s_1\.vim	:call Cream_file_open($CREAM . "spelldicts/cream-spell-dict-eng-s_1.vim")<CR>
	anoremenu <silent> 9999.707 Cream\ &Developer.&Spell\ Check.Edit\ cream-spell-dict-eng-s_2\.vim	:call Cream_file_open($CREAM . "spelldicts/cream-spell-dict-eng-s_2.vim")<CR>
	anoremenu <silent> 9999.708 Cream\ &Developer.&Spell\ Check.Edit\ cream-spell-dict-eng-s_3\.vim	:call Cream_file_open($CREAM . "spelldicts/cream-spell-dict-eng-s_3.vim")<CR>
	anoremenu <silent> 9999.709 Cream\ &Developer.&Spell\ Check.Edit\ cream-spell-dict-eng-s_4\.vim	:call Cream_file_open($CREAM . "spelldicts/cream-spell-dict-eng-s_4.vim")<CR>


	" add-ons (automatic)
	anoremenu <silent> 9999.800 Cream\ &Developer.-SEP800-						<Nul>
	function! Cream_menu_dev_addons()
	" load Cream add-ons
	" * This function is called via VimEnter autocmd so multvals functions are available.

		let myaddons = glob($CREAM . "addons/*.vim")
		if strlen(myaddons) > 0
			let myaddons = myaddons . "\n"
		endif

		" menu each item
		let idx = 801
		let i = 0
		let cnt = MvNumberOfElements(myaddons, "\n")
		while i < cnt

			" * slower
			"let myaddon = MvElementAt(myaddons, "\n", i)
			" * faster
			" find first return
			let mypos = stridx(myaddons, "\n")
			let myaddon = strpart(myaddons, 0, mypos)
			let myaddons = strpart(myaddons, mypos + 1)

			" name doesn't have path
			let myaddonname = substitute(myaddon, '.*[/\\:]\([^/\\:]*\)\.vim', '\1', '')
			execute "anoremenu \<silent> 9999." . idx . " Cream\\ &Developer.&addons/." . myaddonname . "\\.vim  :call Cream_file_open(\"" . myaddon . "\")\<CR>"

			let i = i + 1
		endwhile

	endfunction
 
	" docs
	anoremenu <silent> 9999.902 Cream\ &Developer.docs/.CHANGELOG\.txt		:call Cream_file_open($CREAM . "docs/CHANGELOG.txt")<CR>
	anoremenu <silent> 9999.903 Cream\ &Developer.docs/.COPYING\.txt		:call Cream_file_open($CREAM . "docs/COPYING.txt")<CR>
	anoremenu <silent> 9999.904 Cream\ &Developer.docs/.DEVELOPER\.txt		:call Cream_file_open($CREAM . "docs/DEVELOPER.txt")<CR>
	anoremenu <silent> 9999.905 Cream\ &Developer.docs/.KEYBOARD\.txt		:call Cream_file_open($CREAM . "docs/KEYBOARD.txt")<CR>
	anoremenu <silent> 9999.906 Cream\ &Developer.docs/.PressRelease\.txt	:call Cream_file_open($CREAM . "docs/PressRelease.txt")<CR>
	anoremenu <silent> 9999.907 Cream\ &Developer.docs/.README\.txt		:call Cream_file_open($CREAM . "docs/README.txt")<CR>
	anoremenu <silent> 9999.908 Cream\ &Developer.docs/.RELEASE\.txt		:call Cream_file_open($CREAM . "docs/RELEASE.txt")<CR>
	anoremenu <silent> 9999.909 Cream\ &Developer.docs/.SPELLTEST-ENG\.txt	:call Cream_file_open($CREAM . "docs/SPELLTEST-ENG.txt")<CR>
	anoremenu <silent> 9999.910 Cream\ &Developer.docs/.SPELLDICTS\.txt	:call Cream_file_open($CREAM . "docs/SPELLDICTS.txt")<CR>
	anoremenu <silent> 9999.911 Cream\ &Developer.docs/.TODO\.txt			:call Cream_file_open($CREAM . "docs/TODO.txt")<CR>
	anoremenu <silent> 9999.912 Cream\ &Developer.docs/.WINDOWS\.txt		:call Cream_file_open($CREAM . "docs/WINDOWS.txt")<CR>

	" docs-html
	anoremenu <silent> 9999.951 Cream\ &Developer.docs-html/.background\.html		:call Cream_file_open($CREAM . "docs-html/background.html")<CR>
	anoremenu <silent> 9999.952 Cream\ &Developer.docs-html/.changelog\.html		:call Cream_file_open($CREAM . "docs-html/changelog.html")<CR>
	anoremenu <silent> 9999.953 Cream\ &Developer.docs-html/.contribute\.html		:call Cream_file_open($CREAM . "docs-html/contribute.html")<CR>
	anoremenu <silent> 9999.954 Cream\ &Developer.docs-html/.devel\.html			:call Cream_file_open($CREAM . "docs-html/devel.html")<CR>
	anoremenu <silent> 9999.955 Cream\ &Developer.docs-html/.downloads\.html		:call Cream_file_open($CREAM . "docs-html/downloads.html")<CR>
	anoremenu <silent> 9999.956 Cream\ &Developer.docs-html/.faq\.html				:call Cream_file_open($CREAM . "docs-html/faq.html")<CR>
	anoremenu <silent> 9999.957 Cream\ &Developer.docs-html/.features\.html			:call Cream_file_open($CREAM . "docs-html/features.html")<CR>
	anoremenu <silent> 9999.958 Cream\ &Developer.docs-html/.goals\.html			:call Cream_file_open($CREAM . "docs-html/goals.html")<CR>
	anoremenu <silent> 9999.959 Cream\ &Developer.docs-html/.hate\.html				:call Cream_file_open($CREAM . "docs-html/hate.html")<CR>
	anoremenu <silent> 9999.960 Cream\ &Developer.docs-html/.index\.html			:call Cream_file_open($CREAM . "docs-html/index.html")<CR>
	anoremenu <silent> 9999.961 Cream\ &Developer.docs-html/.installation\.html		:call Cream_file_open($CREAM . "docs-html/installation.html")<CR>
	anoremenu <silent> 9999.962 Cream\ &Developer.docs-html/.keyboardshortcuts\.html	:call Cream_file_open($CREAM . "docs-html/keyboardshortcuts.html")<CR>
	anoremenu <silent> 9999.963 Cream\ &Developer.docs-html/.license\.html			:call Cream_file_open($CREAM . "docs-html/license.html")<CR>
	anoremenu <silent> 9999.964 Cream\ &Developer.docs-html/.links\.html			:call Cream_file_open($CREAM . "docs-html/links.html")<CR>
	anoremenu <silent> 9999.965 Cream\ &Developer.docs-html/.love\.html				:call Cream_file_open($CREAM . "docs-html/love.html")<CR>
	anoremenu <silent> 9999.966 Cream\ &Developer.docs-html/.maillist\.html			:call Cream_file_open($CREAM . "docs-html/maillist.html")<CR>
	anoremenu <silent> 9999.967 Cream\ &Developer.docs-html/.main\.css				:call Cream_file_open($CREAM . "docs-html/main.css")<CR>
	anoremenu <silent> 9999.968 Cream\ &Developer.docs-html/.otherfiles\.html		:call Cream_file_open($CREAM . "docs-html/otherfiles.html")<CR>
	anoremenu <silent> 9999.969 Cream\ &Developer.docs-html/.screenshots\.html		:call Cream_file_open($CREAM . "docs-html/screenshots.html")<CR>
	anoremenu <silent> 9999.970 Cream\ &Developer.docs-html/.screenshots1-closeup\.html	:call Cream_file_open($CREAM . "docs-html/screenshots1-closeup.html")<CR>
	anoremenu <silent> 9999.971 Cream\ &Developer.docs-html/.screenshots2-closeup\.html	:call Cream_file_open($CREAM . "docs-html/screenshots2-closeup.html")<CR>
	anoremenu <silent> 9999.972 Cream\ &Developer.docs-html/.screenshots3-closeup\.html	:call Cream_file_open($CREAM . "docs-html/screenshots3-closeup.html")<CR>
	anoremenu <silent> 9999.973 Cream\ &Developer.docs-html/.screenshots4-closeup\.html	:call Cream_file_open($CREAM . "docs-html/screenshots4-closeup.html")<CR>
	anoremenu <silent> 9999.974 Cream\ &Developer.docs-html/.screenshots5-closeup\.html	:call Cream_file_open($CREAM . "docs-html/screenshots5-closeup.html")<CR>
	anoremenu <silent> 9999.975 Cream\ &Developer.docs-html/.screenshots6-closeup\.html	:call Cream_file_open($CREAM . "docs-html/screenshots6-closeup.html")<CR>
	anoremenu <silent> 9999.976 Cream\ &Developer.docs-html/.screenshots7-closeup\.html	:call Cream_file_open($CREAM . "docs-html/screenshots7-closeup.html")<CR>
	anoremenu <silent> 9999.977 Cream\ &Developer.docs-html/.screenshots8-closeup\.html	:call Cream_file_open($CREAM . "docs-html/screenshots8-closeup.html")<CR>
	anoremenu <silent> 9999.978 Cream\ &Developer.docs-html/.spellcheck\.html		:call Cream_file_open($CREAM . "docs-html/spellcheck.html")<CR>
	anoremenu <silent> 9999.979 Cream\ &Developer.docs-html/.statusline-closeup\.html	:call Cream_file_open($CREAM . "docs-html/statusline-closeup.html")<CR>
	anoremenu <silent> 9999.980 Cream\ &Developer.docs-html/.todo\.html				:call Cream_file_open($CREAM . "docs-html/todo.html")<CR>
	anoremenu <silent> 9999.981 Cream\ &Developer.docs-html/.vim\.html				:call Cream_file_open($CREAM . "docs-html/vim.html")<CR>

endfunction
call Cream_menu_load_developer()

